6.0.0-git
2019-03-20

[#12383] [horde] PHP ERROR: Undefined index: db [pid 1576 on line 57 of "/var/www/horde5/templates/admin/config/index.html.php"]
Summary [horde] PHP ERROR: Undefined index: db [pid 1576 on line 57 of "/var/www/horde5/templates/admin/config/index.html.php"]
Queue Horde Groupware Webmail Edition
Queue Version 5.1.0
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester skhorde (at) smail (dot) inf (dot) fh-bonn-rhein-sieg (dot) de
Created 2013-06-20 (2099 days ago)
Due
Updated 2013-06-21 (2098 days ago)
Assigned
Resolved 2013-06-20 (2099 days ago)
Milestone
Patch No

History
2013-06-21 09:50:35 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (master):

commit 355336652bf2b565d0d20462af064660ada75837
Author: Jan Schneider <jan@horde.org>
Date:   Fri Jun 21 11:18:24 2013 +0200

     Test those too (Bug #12383).

  horde/templates/admin/config/index.html.php |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/355336652bf2b565d0d20462af064660ada75837
2013-06-21 07:00:03 skhorde (at) smail (dot) inf (dot) fh-bonn-rhein-sieg (dot) de Comment #5 Reply to this comment
  horde/templates/admin/config/index.html.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/de7eb14e392b2b07d5e150f63ac5cbeaaac00a97
One still gets the notice for conf and status:

Jun 21 08:59:18 horde5beta HORDE: [horde] PHP ERROR: Undefined index: 
conf [pid 19213 on line 73 of 
"/var/www/horde5/templates/admin/config/index.html.php"]
Jun 21 08:59:18 horde5beta HORDE: [horde] PHP ERROR: Undefined index: 
status [pid 19213 on line 76 of 
"/var/www/horde5/templates/admin/config/index.html.php"]

2013-06-20 20:37:00 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2013-06-20 20:36:24 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit de7eb14e392b2b07d5e150f63ac5cbeaaac00a97
Author: Jan Schneider <jan@horde.org>
Date:   Thu Jun 20 22:34:46 2013 +0200

     Avoid notice (Bug #12383).

  horde/templates/admin/config/index.html.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/de7eb14e392b2b07d5e150f63ac5cbeaaac00a97
2013-06-20 19:54:26 skhorde (at) smail (dot) inf (dot) fh-bonn-rhein-sieg (dot) de Comment #3
New Attachment: h5_noDB.jpg Download
Reply to this comment
You need to configure a database.
It's the entry "Horde Groupware Webmail Edition version 5.1.0", there 
is no database to configure. See the screenshot generated after this 
patch:

--- 
/var/www/horde5/templates/admin/config/index.html.php_SAVE        2013-06-20 
21:43:42.000000000 +0200
+++ /var/www/horde5/templates/admin/config/index.html.php        2013-06-20 
21:45:12.000000000 +0200
@@ -54,2 +54,5 @@
      <?php echo $v['version'] ?>
+<?php if (!isset($v['db'])): ?>
+ <?php echo '&nbsp;no ["db"]' ?>
+<?php endif; ?>
     </td>

2013-06-20 15:14:05 arjen+horde (at) de-korte (dot) org Comment #2 Reply to this comment
You need to configure a database.
2013-06-20 15:09:33 skhorde (at) smail (dot) inf (dot) fh-bonn-rhein-sieg (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ [horde] PHP ERROR: Undefined index: db [pid 1576 on line 57 of "/var/www/horde5/templates/admin/config/index.html.php"]
Queue ⇒ Horde Groupware Webmail Edition
Milestone ⇒
Patch ⇒ No
Reply to this comment
For the entry "Horde Groupware Webmail Edition version"

$v[db] $v[conf] and $v[status] is empty, therefore syslog contains 
these three entries each time one enters the Horde Configuration page

HORDE: [horde] PHP ERROR: Undefined index: db [pid 1576 on line 57 of 
"/var/www/horde5/templates/admin/config/index.html.php"]
HORDE: [horde] PHP ERROR: Undefined index: conf [pid 1576 on line 73 
of "/var/www/horde5/templates/admin/config/index.html.php"]
HORDE: [horde] PHP ERROR: Undefined index: status [pid 1576 on line 76 
of "/var/www/horde5/templates/admin/config/index.html.php"]

Saved Queries